"""create_views

Revision ID: 0005
Revises: 0004
Create Date: 2023-07-28 17:08:11.923534

"""
from alembic import op
import sqlalchemy as sa
from alembic_utils.pg_view import PGView
from sqlalchemy import text as sql_text

# revision identifiers, used by Alembic.
revision = '0005'
down_revision = '0004'
branch_labels = None
depends_on = None


def upgrade() -> None:
    # ### commands auto generated by Alembic - please adjust! ###
    ingest_api_v_prepared_data = PGView(
        schema="ingest_api",
        signature="v_prepared_data",
        definition='SELECT ingest_api.data._id AS row_id, ingest_api.data.country AS country, ingest_api.data.email AS email, ingest_api.data.email_hash_md5_content AS email_hash_md5_content, ingest_api.data.firstname AS firstname, ingest_api.data.lastname AS lastname, ingest_api.data.ip AS ip, ingest_api.data.url AS url, ingest_api.data.date AS date, ingest_api.data.dob AS dob, ingest_api.data.gender AS gender, ingest_api.data.address1 AS address1, ingest_api.data.address2 AS address2, ingest_api.data.zip AS zip, ingest_api.data.city AS city, ingest_api.data.state AS state, ingest_api.data.vertical AS vertical, ingest_api.data.language AS language, ingest_api.data.phone_number1 AS phone_number1, ingest_api.data.phone_number2 AS phone_number2, ingest_api.data.age AS age, CAST(EXTRACT(EPOCH FROM ingest_api.data._created_at) AS INTEGER) AS created_at, ingest_api.users.data_asset_id AS data_asset_id \nFROM ingest_api.data JOIN ingest_api.users ON ingest_api.users.id = ingest_api.data._user_id'
    )
    op.create_entity(ingest_api_v_prepared_data)

    # ### end Alembic commands ###


def downgrade() -> None:
    # ### commands auto generated by Alembic - please adjust! ###
    ingest_api_v_prepared_data = PGView(
        schema="ingest_api",
        signature="v_prepared_data",
        definition='SELECT ingest_api.data._id AS row_id, ingest_api.data.country AS country, ingest_api.data.email AS email, ingest_api.data.email_hash_md5_content AS email_hash_md5_content, ingest_api.data.firstname AS firstname, ingest_api.data.lastname AS lastname, ingest_api.data.ip AS ip, ingest_api.data.url AS url, ingest_api.data.date AS date, ingest_api.data.dob AS dob, ingest_api.data.gender AS gender, ingest_api.data.address1 AS address1, ingest_api.data.address2 AS address2, ingest_api.data.zip AS zip, ingest_api.data.city AS city, ingest_api.data.state AS state, ingest_api.data.vertical AS vertical, ingest_api.data.language AS language, ingest_api.data.phone_number1 AS phone_number1, ingest_api.data.phone_number2 AS phone_number2, ingest_api.data.age AS age, CAST(EXTRACT(EPOCH FROM ingest_api.data._created_at) AS INTEGER) AS created_at, ingest_api.users.data_asset_id AS data_asset_id \nFROM ingest_api.data JOIN ingest_api.users ON ingest_api.users.id = ingest_api.data._user_id'
    )
    op.drop_entity(ingest_api_v_prepared_data)

    # ### end Alembic commands ###
